Page MenuHomePhabricator

Test demographics survey on beta wikis
Closed, ResolvedPublic

Description

Overview

Test reader demographics QuickSurvey on beta enwiki and beta hewiki. This will test for both RTL and LTR languages.

Steps

  • Isaac: Get permissions for interface pages on enwiki and hewiki: https://en.wikipedia.beta.wmflabs.org/wiki/Special:CentralAuth?target=Isaac
  • Isaac: Create interface pages on enwiki and hewiki (see below)
  • Baha: Deploy survey to beta
  • Isaac: Test (repeat w/ hewiki):
    • Make sure the browser's DNT feature is turned off.
    • Go to https://en.wikipedia.beta.wmflabs.org/wiki/Book (on desktop) and look for the survey on the top right of the article content.
    • If you see another survey, dismiss it, and reload the page. Multiple surveys maybe enabled at one time, so keep dismissing other surveys until you see yours.
    • Once you see your survey, take it and see if your survey token is being passed to the external URL.
    • Check other things as you find fit.

English pages to create

https://en.wikipedia.beta.wmflabs.org/wiki/MediaWiki:Reader-demographics-1-description : "", //leaving blank but the page needs to exist or placeholder text shows up
https://en.wikipedia.beta.wmflabs.org/wiki/MediaWiki:Reader-demographics-1-link : https://docs.google.com/forms/d/e/1FAIpQLScALkNX4coMAHkpzhQOTxtvNJz3cKJMH7jjrFptPtesSOhA3w/viewform?hl=en
https://en.wikipedia.beta.wmflabs.org/wiki/MediaWiki:Reader-demographics-1-message : "Take a short survey and help us improve Wikipedia."
https://en.wikipedia.beta.wmflabs.org/wiki/MediaWiki:Reader-demographics-1-privacy: "Survey data handled by a third party. [https://foundation.wikimedia.org/wiki/2019_Wikipedia_Demographics_Survey_Privacy_Statement Privacy]"

Hebrew pages to create

https://he.wikipedia.beta.wmflabs.org/wiki/MediaWiki:Reader-demographics-1-description : "" //leaving blank but the page needs to exist or placeholder text shows up
https://he.wikipedia.beta.wmflabs.org/wiki/MediaWiki:Reader-demographics-1-link : https://docs.google.com/forms/d/e/1FAIpQLScpadxPmomtIjfPxWqSPCgP-SNi-7J2FVfQaoHr_mysbnN-0A/viewform?hl=he
https://he.wikipedia.beta.wmflabs.org/wiki/MediaWiki:Reader-demographics-1-message : "מלא שאלון קצר ועזור לנו לשפר את ויקיפדיה."
https://he.wikipedia.beta.wmflabs.org/wiki/MediaWiki:Reader-demographics-1-privacy: "נתוני השאלון מטופלים על ידי צד שלישי. [https://foundation.wikimedia.org/wiki/2019_Wikipedia_Demographics_Survey_Privacy_Statement מדיניות פרטיות]"

Beta Configurations

enwiki => [
    'enabled' => true,
    "name" => "reader-demographics-en",
    "type" => "external", 
    "description" => "Reader-demographics-1-description",
    "link" => "Reader-demographics-1-link",
    "question" => "Reader-demographics-1-message",
    "privacyPolicy" => "Reader-demographics-1-privacy",
    "coverage" => 1, // for deployment, this will be lower
    "instanceTokenParameterName" => "entry.1791119923",
    "platforms" => [
        "desktop"=> ["stable"],
        "mobile"=> ["stable"]
    ],
]

hewiki => [
    'enabled' => true,
    "name" => "reader-demographics-he",
    "type" => "external", 
    "description" => "Reader-demographics-1-description",
    "link" => "Reader-demographics-1-link",
    "question" => "Reader-demographics-1-message",
    "privacyPolicy" => "Reader-demographics-1-privacy",
    "coverage" => 1, // for deployment, this will be lower
    "instanceTokenParameterName" => "entry.1791119923",
    "platforms" => [
        "desktop"=> ["stable"],
        "mobile"=> ["stable"]
    ],
]
NOTE: be aware of T210646, which notes a bug about QuickSurveys not showing up on mobile that only affects beta, not production.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterLabs: enable QuickSurveys on hewiki
operations/mediawiki-config : masterLabs: enable surveys for testing

Event Timeline

Isaac created this task.Jun 14 2019, 1:23 PM

@bmansurov I'm going to wait till next week to ping releng about getting interface-admin permissions on beta hewiki as they seem to be at a summit, but if you see any issues or have suggestions with this in the meantime, let me know!

@Isaac I see in the config that you want to test some external surveys. Aren't we going to test an internal survey with a free form text?

Isaac added a comment.Jun 14 2019, 1:47 PM

@bmansurov yeah it's semi confusing because there are actually two surveys that I'm helping launch right now:

  • This one, which is an external survey for reader demographics and will be deployed in ~10 languages and also has some country-specific sampling for two languages. It is the follow-up to the pilot survey we ran back in February. If you don't think the testing for this reader survey is necessary given that we piloted the English version in February (T215670), we can skip it. The country-specific sampling was tested when the feature was implemented (T213847), but that could also be part of this if that seems useful.
  • The internal survey on editor gender that required the open-text option. It is also very close to deployment but still has a few remaining pieces around communication and languages. It's a good point that we should test the internal survey while we're doing this -- I can create a separate task for that. Seem reasonable?

OK, makes sense. Yeah, let's test this one too then. Some code is shared between internal and external surveys. Hopefully, nothing broke while we developed the free form text version. But it's a good opportunity to test external surveys.

Isaac added a comment.Jun 14 2019, 1:55 PM

Great -- I'll ping you when I have the permissions and create the interface pages. I'll go ahead and create the task for the internal survey as well. Thanks!

Isaac updated the task description. (Show Details)Jun 18 2019, 8:35 PM
Isaac added a comment.Jun 18 2019, 9:36 PM

@bmansurov : i created the test pages listed in the task description. i also prepared the configuration for the internal survey test (T225042#5266976). if you could deploy these configurations, I'll go through and see if everything seems to be working correctly. Thanks!

Change 517789 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[operations/mediawiki-config@master] Labs: enable surveys for testing

https://gerrit.wikimedia.org/r/517789

Deploying this change on 06/20, at 11:00–12:00 UTC.

Change 517789 merged by jenkins-bot:
[operations/mediawiki-config@master] Labs: enable surveys for testing

https://gerrit.wikimedia.org/r/517789

The survey will be live in about 30 mins.

Isaac added a comment.Jun 20 2019, 5:05 PM

Thanks @bmansurov

English worked perfectly as far as I could tell! The survey loaded and displayed correctly. EventLogging captured the interactions as expected and the survey link took me to the correct place and prefilled the survey code as expected. For reference, this link will load the appropriate survey: https://en.wikipedia.beta.wmflabs.org/wiki/Book?quicksurvey=external-survey-reader-demographics-en

I cannot get the survey to load on Hebrew Wikipedia. I tried a variety of pages (using the random page link) and none of them loaded a survey. I tried forcing a survey too -- for example:

Thoughts?

Isaac updated the task description. (Show Details)Jun 20 2019, 5:06 PM

QuickSurveys may not be enabled on hewiki. I should have checked that. Will check tomorrow.

Isaac added a comment.Jun 20 2019, 5:21 PM

QuickSurveys may not be enabled on hewiki. I should have checked that. Will check tomorrow.

Sounds good -- thanks!

Change 518186 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[operations/mediawiki-config@master] Labs: enable QuickSurveys on hewiki

https://gerrit.wikimedia.org/r/518186

Change 518186 merged by jenkins-bot:
[operations/mediawiki-config@master] Labs: enable QuickSurveys on hewiki

https://gerrit.wikimedia.org/r/518186

bmansurov added a comment.EditedJun 24 2019, 11:27 AM

QS should be live on hewiki (labs) in about 30 mins.

Mentioned in SAL (#wikimedia-operations) [2019-06-24T11:30:10Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/InitialiseSettings-labs.php: SWAT: [[gerrit:518186|Labs: enable QuickSurveys on hewiki (T225819)]] (duration: 00m 57s)

Isaac added a comment.Jun 24 2019, 2:21 PM

@bmansurov i checked and all looks good on hebrew wikipedia as well! thanks for getting this enabled!

Isaac closed this task as Resolved.Jun 24 2019, 2:25 PM
Isaac updated the task description. (Show Details)